<?php
include '../../INCLUDE/MySQL_include_param_dbb.php';
setlocale (LC_ALL, 'fr_FR.UTF-8');
try {
 // --- connexion de la base de données ---
 $bdd = new PDO($TYPE_DBB.":host=".$SERVEUR.";dbname=".$BASEDD,$LOGIN_ADM,$MDP_ADM,
        array(PDO::ATTR_PERSISTENT => true));
 // --- définition du codage en UTF8 ---
 $bdd->exec("SET CHARACTER SET utf8");     
 // --- préparation de la requête ---
 $RequetePreparee = $bdd->prepare('SELECT ID,Nom,Prenom,Age FROM personnes WHERE Nom=:Nom AND Prenom LIKE :Prenom');
 // --- préparation des variables ---
 $Nom="MARTIN";
 $Prenom="%PIERRE%";
 // --- liaison avec le paramètre ---
 $RequetePreparee->bindValue(':Nom', $Nom, PDO::PARAM_STR);
 $RequetePreparee->bindValue(':Prenom', $Prenom, PDO::PARAM_STR);
 // --- exécution de la requête préparée ---
 $RequetePreparee->execute();
 // --- Affichage du résultat de la requête ---
 affiche($RequetePreparee);
 $RequetePreparee->closeCursor();
}
catch(Exception $e) {
 echo 'Erreur : '.$e->getMessage();
}
// --- fonction d'affichage ---
function affiche($RequetePreparee)
{
 echo "--- affichage du résultat ---".PHP_EOL;
 while ($donnees = $RequetePreparee->fetch())
 {
	    echo $donnees['ID']."\t"    ;
	    echo $donnees['Nom']."\t"   ;
	    echo $donnees['Prenom']."\t";
	    echo $donnees['Age'].PHP_EOL;
 }
}
?>